<?php /*
Plugin Name: Uploader+
Version: 1.0
Description: This plugin provides a flash interface to upload images (powered by JumpLoader)
Plugin URI: http://www.phpwebgallery.net
Author: Peter Naudus
Author URI: http://www.LinuxLefty.com
*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('UPLOADER_PLUS_ID',$plugin['id']);
define('UPLOADER_PLUS_DIR' , basename(dirname(__FILE__)));
define('UPLOADER_PLUS_PATH' , PHPWG_PLUGINS_PATH . UPLOADER_PLUS_DIR . '/');

add_event_handler('blockmanager_apply', 'uploader_plus_insertLink' );
add_event_handler('loc_end_section_init','uploader_plus_showUploaderPage' );
add_event_handler('get_admin_plugin_menu_links', 'plugin_admin_menu' );

function plugin_admin_menu($menu)
{
   array_push($menu,
      array(
         'NAME' => 'Uploader Configurations',
         'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin.php')
      )
   );
   return $menu;
}


function uploader_plus_insertLink($menu_ref_arr)
{
   global $template, $page, $tokens;
   if (!is_a_guest() )
   {
      $menu = & $menu_ref_arr[0];
      if (($block = $menu->get_block('mbSpecials')) != null)
      {

        // if currently viewing a category, insert link pointing to category
        if ($tokens[0] == 'category')
        {
            $position = count($block->data)+1;
            $id = $page['category']['id'];
            $cat = get_cat_info($id);
            if ($cat['dir'] != null)
              {
              array_splice($block->data, $position-1, 0, array('has_high' => array(
                'URL' => make_index_url(array('section' => 'uploader_plus')).'&id='.$id,
                'TITLE' => l10n('Uploader plus'),
                'NAME' => l10n('Uploader plus') ) ) );
              }
        }
      }
   }
}

function uploader_plus_showUploaderPage()
{
   global $tokens;
   if($tokens[0] == "uploader_plus")
      include(UPLOADER_PLUS_PATH . 'uploader.php');
}

function uploader_plus_error($errorMsg) {return('<div class="errors">'.$errorMsg.'</div>');}
function uploader_plus_info($infoMsg) {return('<div class="infos">'.$infoMsg.'</div>');}

?>
