<?php

global $template, $page, $tokens;

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

if (is_a_guest())
{
   $template->assign('PLUGIN_INDEX_CONTENT_BEGIN' , uploader_plus_error('UP_E01: You must be logged on to use this feature'));
   return;
}

$page = array_merge($page,
   array(
      'title' => 'Uploader+',
      'section' => 'uploader_plus'
   )
);

// built category path and name

if (!isset($_GET['id']) || $_GET['id'] == null)
{
   $template->assign('PLUGIN_INDEX_CONTENT_BEGIN' , uploader_plus_error('UP_E02: Invalid category'));
   return;
}

$id = $_GET['id'];
$session = session_id();

// Check for an invalid,  virtual, or authorized category
check_restrictions( $id );

$cat = get_cat_info($id);
$catPath = get_complete_dir( $id );
$catInfo = get_cat_info($id);
$catName = null;

if (!trim($catPath,'/') || !$cat || url_is_remote($id))
{
   $template->assign('PLUGIN_INDEX_CONTENT_BEGIN' , uploader_plus_error('UP_E03: Invalid category'));
   return;
}


foreach($catInfo['upper_names'] as $name)
{
   $catName .= '/' . $name['name'];
}

// load user preferences
$pref = unserialize( file_get_contents( dirname(__FILE__).'/data.txt' ) );

$template->assign(array(
   'UPLOADER_PLUS_PATH'    => UPLOADER_PLUS_PATH,
   'UPLOADER_PLUS_WIDTH'   => $pref['applet_width'],
   'UPLOADER_PLUS_HEIGHT'  => $pref['applet_height'],
   'UPLOADER_PLUS_ID'      => $id,
   'UPLOADER_PLUS_SESSION' => $session
));

$template->set_filename('plugin_uploader_content', dirname(__FILE__) . '/uploader.tpl');
$template->assign_var_from_handle( 'PLUGIN_INDEX_CONTENT_BEGIN', 'plugin_uploader_content');

?>
